"""Creates a copy of the input with all string values set to empty string."""
def clear_values(d):
    if isinstance(d, dict):
        return {k: clear_values(v) for k, v in d.items()}
    elif isinstance(d, str):
        return ""
    return d